import request from './request'
export default {
  getOpenid: (data) => request('POST', `code2userinfo`,data),//获取openid
  createActivity: (data) => request('POST', 'activity/create', data), //创建活动
  bindphone: (data) => request('POST', 'bindphone', data), //绑定手机号
  list_public: () => request('GET', 'activity/list_public'), //获取活动列表
  binduserinfo: (data) => request('POST','binduserinfo',data), //绑定个人信息
  activity_attend: (data) => request('POST', 'activity/attend', data), //参加活动
  activity_list_mine: (data) => request('GET', `activity/list_mine/${data}`), //获取我的活动列表
  activity_id: (data) => request('GET', `activity/id/${data}`), //获取活动详情
  activity_update: (data) => request('PUT', 'activity/update', data), //更新活动详情
};