## hello world
curl https://talk.cirray.cn/api/hello

## code2userinfo
curl -X POST -d '{"code":"zzz"}' https://talk.cirray.cn/api/code2userinfo

## bindphone (不是被分享推荐，就不需要invitor字段)
curl -X POST -d '{"openid":"zzz","encryptedData":"abc","iv":"xyz","invitor":"yyy"}' https://talk.cirray.cn/api/bindphone

## binduserinfo
curl -X POST -d '{"openid":"xxx","nickName":"xxx","gender":"xx","avatarUrl":"xxx"}' https://talk.cirray.cn/api/binduserinfo

## 上传图像 (返回文件名)
curl -X POST -H "Content-Type:multipart/form-data" -F "file=@keyboard.jpeg" https://talk.cirray.cn/api/upload_image
上传成功后, 访问 http://cirraybucket.oss-cn-shanghai.aliyuncs.com/coffeetalk/keyboard.jpeg

## 创建活动
curl -X POST -d '{"title":"Coffee Talk","location":"愚园路1107号1号楼509","longitude":0,"latitude":0,"starttime":"2020-07-23 09:00:00","endtime":"2020-07-23 15:30:00","deadline":"2020-07-23 09:00:00","capacity":50,"content":"这是一个有趣的活动,enjoy yourself!","images":"hello.jpg;world.jpg","attendfee":30,"organizer":"15692138642","private":1}' https://talk.cirray.cn/api/activity/create
(deadline(默认starttime),attendfee(默认0),private(默认0)非必须)

## 修改活动
curl -X PUT -d '{actid,location,longitude,latitude,starttime,endtime,deadline,capacity,content,images,attendfee,private}' https://talk.cirray.cn/api/activity/update

## 所有public活动列表
curl https://talk.cirray.cn/api/activity/list_public

## 我的活动列表
curl https://talk.cirray.cn/api/activity/list_mine/15692138642

## 根据id获取活动详情
curl https://talk.cirray.cn/api/activity/id/3

## 参加活动
curl -X POST -d '{"phone":"xxx","actid":3}' https://talk.cirray.cn/api/activity/attend